Bug 691770 - Recent Alerts portlets showing older alerts and not respecting page count
Recent Alerts portlets showing older alerts and not respecting page count
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
All All
medium Severity high (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-03-29 08:57 EDT by Jay Shaughnessy
Modified: 2013-09-02 03:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2011-03-29 08:57:00 EDT
Recent Alerts portlets showing older alerts and not respecting page count.  This affects the global as well as the entity portlets.  Other than being wrong this also is a perf issue as the portlets take too long to load due to displaying too many alerts in the dash.
Comment 1 Jay Shaughnessy 2011-03-31 14:53:30 EDT
This is fixed across all alerts portlets (global, group, resource dashes).

Additionally, button enablement has been fixed for these as well as in the resource and group detail alert history views, and the recent alerts report view.

Work also done to make date formats consistent.
Comment 2 Sudhir D 2011-05-26 06:59:13 EDT
Tested on rhq-server-4.1.0-SNAPSHOT build# e89bbe0

The Recent Alerts portlet shows the most recent alerts. Checked for alert loading time. The refresh is happening quite well as the number of recent alerts displayed in portlet has been limited. Also, checked for the button enablement when the alert is selected and for the working of the button. 

Marking this bug as verified.
Comment 3 Heiko W. Rupp 2013-09-02 03:20:43 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.